main.cpp File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <stdint.h>`
`#include <wiringPi.h>`
`#include <pthread.h>`
`#include <unistd.h>`
`#include <iostream>`
`#include <csignal>`
`#include "global.h"`
`#include "timer.h"`
`#include "database.h"`
`#include "logger.h"`
`#include "lcd.h"`
`#include "hal.h"`
`#include "stripe.h"`
`#include "coffee.h"`
`#include "display.h"`
`#include "buildno"`

## Functions

void * | mainLoop (void *threadid)
| Main Thread, used for some initializations and error detection. More...
void | terminationHandler (int signum)
| Handler for program termination caught via signal. More...
void | usr1Handler (int signum)
| Handles the signal USR2. More...
void | hupHandler (int signum)
| Handles the signal HUP and starts a speed test. More...
int | main (int argc, char *argv[])
void | killThread (int threadid, int sig)
| Sends a signal to a thread. More...

## Variables

const int | buildno
int | verbose = 0
bool | optDate = false
bool | optPower = false
bool | optCold = false
pthread_t | thread [4]
pthread_mutex_t | mutex

## Function Documentation

void hupHandler | ( | int | signum | ) |

Handles the signal HUP and starts a speed test.

void killThread | ( | int | threadid,
|  | int | sig
| ) |  |

Sends a signal to a thread.

Parameters

  threadid | ID of the thread
  sig | Signal to send

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

void * mainLoop | ( | void * | threadid | ) |

Main Thread, used for some initializations and error detection.

Parameters

  threadid | Thread ID

void terminationHandler | ( | int | signum | ) |

Handler for program termination caught via signal.

void usr1Handler | ( | int | signum | ) |

Handles the signal USR2.

## Variable Documentation

const int buildno

Initial value:
= (1+(int)(
# 29 "/home/sebastian/CoffeePi/CoffeeCode/main.cpp" 2
))

pthread_mutex_t mutex

bool optCold = false

bool optDate = false

bool optPower = false

pthread_t thread[4]

int verbose = 0